CREATE TABLE atk_kr_user_rating (
    USER_ID                   VARCHAR2(256) ,
    USER_NAME                 VARCHAR2(256) ,
    PARENT_TABLE_NAME         VARCHAR2(800) ,
    PARENT_TABLE_KEY_VALUE    VARCHAR2(128) ,
    RATING                    NUMBER(2, 0)      NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REVIEW_COMMENTS           VARCHAR2(4000),
    REVIEW_TITLE              VARCHAR2(800) ,
    USER_ID                   VARCHAR2(256) ,
    USER_NAME                 VARCHAR2(256) ,
    PARENT_TABLE_NAME         VARCHAR2(800) ,
    PARENT_TABLE_KEY_VALUE    VARCHAR2(128) ,
    RATING                    NUMBER(2, 0)      NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REVIEW_COMMENTS           VARCHAR2(4000),
    REVIEW_TITLE              VARCHAR2(800) ,
    CONSTRAINT pk_atk_kr_user_rating PRIMARY KEY (USER_ID, PARENT_TABLE_NAME, PARENT_TABLE_KEY_VALUE, USER_ID, PARENT_TABLE_NAME, PARENT_TABLE_KEY_VALUE)
);
